| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::MLPipelinePackageNotify Class Reference
Inheritance diagram for Digikam::MLPipelinePackageNotify:

## Public Types
typedef QExplicitlySharedDataPointer< MLPipelinePackageNotify > | Ptr

## Public Member Functions
| MLPipelinePackageNotify (const MLPipelinePackageNotify &other)
| MLPipelinePackageNotify (const QString &_name, const QString &_path, const QString &_displayData, int _processed, const DImg &_thumbnail)
| MLPipelinePackageNotify (const QString &_name, const QString &_path, const QString &_displayData, int _processed, const QIcon &_thumbnail)
MLPipelinePackageNotify & | operator= (const MLPipelinePackageNotify &)

## Public Attributes
QString | displayData
QString | name
QString | path
int | processed = 0
QIcon | thumbnail